> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get init

> Fetch initiation response for a physical consultation, including terms and conditions, payment modes, and pricing details.



## OpenAPI

````yaml get /abdm/uhi/v1/physical-consultation/booking/init
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/uhi/v1/physical-consultation/booking/init:
    get:
      description: >-
        Fetch initiation response for a physical consultation, including terms
        and conditions, payment modes, and pricing details.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - in: query
          name: txn_id
          schema:
            type: string
        - description: Unique Identifier of a Provider in the system.
          in: query
          name: provider_id
          schema:
            description: Unique Identifier of a Provider in the system.
            type: string
        - description: Unique Identifier of any booking.
          in: query
          name: order_id
          schema:
            description: Unique Identifier of any booking.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsAppointmentSummary'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelsAppointmentSummary:
      properties:
        billing:
          $ref: '#/components/schemas/ModelsBilling'
        consultation:
          $ref: '#/components/schemas/ModelsConsultation'
        doctor:
          $ref: '#/components/schemas/ModelsDoctor'
        facility_id:
          type: string
        order_id:
          type: string
        patient:
          $ref: '#/components/schemas/ModelsPatientType2'
        payment:
          $ref: '#/components/schemas/ModelsPayment'
        quote:
          $ref: '#/components/schemas/ModelsQuote'
        terms:
          items:
            $ref: '#/components/schemas/ModelsTermsSummary'
          type:
            - array
            - 'null'
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    ModelsBilling:
      properties:
        address:
          type: string
        email:
          type: string
        name:
          type: string
        phone:
          type: string
      type: object
    ModelsConsultation:
      properties:
        end_time:
          type: string
        slot_id:
          type: string
        start_time:
          type: string
        type:
          type: string
      type: object
    ModelsDoctor:
      properties:
        doctor_gender:
          type: string
        doctor_image:
          type: string
        id:
          type: string
        name:
          type: string
        tags:
          items:
            type: string
          type: array
      type: object
    ModelsPatientType2:
      properties:
        dob:
          type: string
        gender:
          type: string
        id:
          type: string
      type: object
    ModelsPayment:
      properties:
        status:
          type: string
        type:
          type: string
      type: object
    ModelsQuote:
      properties:
        breakup:
          items:
            $ref: '#/components/schemas/ModelsQuoteItem'
          type:
            - array
            - 'null'
        total:
          type: string
      type: object
    ModelsTermsSummary:
      properties:
        long_desc:
          type: string
        short_desc:
          type: string
        terms_state:
          type: string
        type:
          type: string
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
    ModelsQuoteItem:
      properties:
        title:
          type: string
        value:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````